Index: trunk/lib/Text/FormBuilder/Parser.pm
===================================================================
--- trunk/lib/Text/FormBuilder/Parser.pm	(revision 1)
+++ trunk/lib/Text/FormBuilder/Parser.pm	(revision 10)
@@ -7247,5 +7709,5 @@
                                                                                                 'description' => '\'=\'',
                                                                                                 'lookahead' => 0,
-                                                                                                'line' => 79
+                                                                                                'line' => 91
                                                                                               }, 'Parse::RecDescent::Literal' ),
                                                                                        bless( {
@@ -7255,5 +7717,5 @@
                                                                                                 'lookahead' => 0,
                                                                                                 'rdelim' => '/',
-                                                                                                'line' => 79,
+                                                                                                'line' => 91,
                                                                                                 'mod' => '',
                                                                                                 'ldelim' => '/'
@@ -7265,6 +7727,60 @@
                                                     'name' => 'default',
                                                     'vars' => '',
-                                                    'line' => 79
+                                                    'line' => 91
                                                   }, 'Parse::RecDescent::Rule' ),
+                              '_alternation_1_of_production_1_of_rule_list_def' => bless( {
+                                                                                            'impcount' => 0,
+                                                                                            'calls' => [
+                                                                                                         'static_list',
+                                                                                                         'dynamic_list'
+                                                                                                       ],
+                                                                                            'changed' => 0,
+                                                                                            'opcount' => 0,
+                                                                                            'prods' => [
+                                                                                                         bless( {
+                                                                                                                  'number' => '0',
+                                                                                                                  'strcount' => 0,
+                                                                                                                  'dircount' => 0,
+                                                                                                                  'uncommit' => undef,
+                                                                                                                  'error' => undef,
+                                                                                                                  'patcount' => 0,
+                                                                                                                  'actcount' => 0,
+                                                                                                                  'items' => [
+                                                                                                                               bless( {
+                                                                                                                                        'subrule' => 'static_list',
+                                                                                                                                        'matchrule' => 0,
+                                                                                                                                        'implicit' => undef,
+                                                                                                                                        'argcode' => undef,
+                                                                                                                                        'lookahead' => 0,
+                                                                                                                                        'line' => 112
+                                                                                                                                      }, 'Parse::RecDescent::Subrule' )
+                                                                                                                             ],
+                                                                                                                  'line' => undef
+                                                                                                                }, 'Parse::RecDescent::Production' ),
+                                                                                                         bless( {
+                                                                                                                  'number' => '1',
+                                                                                                                  'strcount' => 0,
+                                                                                                                  'dircount' => 0,
+                                                                                                                  'uncommit' => undef,
+                                                                                                                  'error' => undef,
+                                                                                                                  'patcount' => 0,
+                                                                                                                  'actcount' => 0,
+                                                                                                                  'items' => [
+                                                                                                                               bless( {
+                                                                                                                                        'subrule' => 'dynamic_list',
+                                                                                                                                        'matchrule' => 0,
+                                                                                                                                        'implicit' => undef,
+                                                                                                                                        'argcode' => undef,
+                                                                                                                                        'lookahead' => 0,
+                                                                                                                                        'line' => 112
+                                                                                                                                      }, 'Parse::RecDescent::Subrule' )
+                                                                                                                             ],
+                                                                                                                  'line' => 112
+                                                                                                                }, 'Parse::RecDescent::Production' )
+                                                                                                       ],
+                                                                                            'name' => '_alternation_1_of_production_1_of_rule_list_def',
+                                                                                            'vars' => '',
+                                                                                            'line' => 112
+                                                                                          }, 'Parse::RecDescent::Rule' ),
                               'form_spec' => bless( {
                                                       'impcount' => 1,
@@ -7338,5 +7854,5 @@
                                                                                                 'lookahead' => 0,
                                                                                                 'rdelim' => '/',
-                                                                                                'line' => 32,
+                                                                                                'line' => 44,
                                                                                                 'mod' => '',
                                                                                                 'ldelim' => '/'
@@ -7348,5 +7864,5 @@
                                                     'name' => 'pattern',
                                                     'vars' => '',
-                                                    'line' => 32
+                                                    'line' => 44
                                                   }, 'Parse::RecDescent::Rule' ),
                               'comment' => bless( {
@@ -7370,5 +7886,5 @@
                                                                                                 'description' => '\'#\'',
                                                                                                 'lookahead' => 0,
-                                                                                                'line' => 96
+                                                                                                'line' => 108
                                                                                               }, 'Parse::RecDescent::Literal' ),
                                                                                        bless( {
@@ -7378,5 +7894,5 @@
                                                                                                 'lookahead' => 0,
                                                                                                 'rdelim' => '/',
-                                                                                                'line' => 96,
+                                                                                                'line' => 108,
                                                                                                 'mod' => '',
                                                                                                 'ldelim' => '/'
@@ -7388,5 +7904,5 @@
                                                     'name' => 'comment',
                                                     'vars' => '',
-                                                    'line' => 96
+                                                    'line' => 108
                                                   }, 'Parse::RecDescent::Rule' ),
                               'hint' => bless( {
@@ -7410,5 +7926,5 @@
                                                                                              'description' => '\'[\'',
                                                                                              'lookahead' => 0,
-                                                                                             'line' => 75
+                                                                                             'line' => 87
                                                                                            }, 'Parse::RecDescent::Literal' ),
                                                                                     bless( {
@@ -7418,5 +7934,5 @@
                                                                                              'lookahead' => 0,
                                                                                              'rdelim' => '/',
-                                                                                             'line' => 75,
+                                                                                             'line' => 87,
                                                                                              'mod' => '',
                                                                                              'ldelim' => '/'
@@ -7427,10 +7943,10 @@
                                                                                              'description' => '\']\'',
                                                                                              'lookahead' => 0,
-                                                                                             'line' => 75
+                                                                                             'line' => 87
                                                                                            }, 'Parse::RecDescent::Literal' ),
                                                                                     bless( {
                                                                                              'hashname' => '__ACTION1__',
                                                                                              'lookahead' => 0,
-                                                                                             'line' => 75,
+                                                                                             'line' => 87,
                                                                                              'code' => '{ $item[2] }'
                                                                                            }, 'Parse::RecDescent::Action' )
@@ -7441,5 +7957,5 @@
                                                  'name' => 'hint',
                                                  'vars' => '',
-                                                 'line' => 75
+                                                 'line' => 87
                                                }, 'Parse::RecDescent::Rule' ),
                               'type' => bless( {
@@ -7463,5 +7979,5 @@
                                                                                              'description' => '\':\'',
                                                                                              'lookahead' => 0,
-                                                                                             'line' => 77
+                                                                                             'line' => 89
                                                                                            }, 'Parse::RecDescent::Literal' ),
                                                                                     bless( {
@@ -7471,5 +7987,5 @@
                                                                                              'lookahead' => 0,
                                                                                              'rdelim' => '/',
-                                                                                             'line' => 77,
+                                                                                             'line' => 89,
                                                                                              'mod' => '',
                                                                                              'ldelim' => '/'
@@ -7481,6 +7997,46 @@
                                                  'name' => 'type',
                                                  'vars' => '',
-                                                 'line' => 77
+                                                 'line' => 89
                                                }, 'Parse::RecDescent::Rule' ),
+                              'label' => bless( {
+                                                  'impcount' => 0,
+                                                  'calls' => [],
+                                                  'changed' => 0,
+                                                  'opcount' => 0,
+                                                  'prods' => [
+                                                               bless( {
+                                                                        'number' => '0',
+                                                                        'strcount' => 1,
+                                                                        'dircount' => 0,
+                                                                        'uncommit' => undef,
+                                                                        'error' => undef,
+                                                                        'patcount' => 1,
+                                                                        'actcount' => 0,
+                                                                        'items' => [
+                                                                                     bless( {
+                                                                                              'pattern' => '|',
+                                                                                              'hashname' => '__STRING1__',
+                                                                                              'description' => '\'|\'',
+                                                                                              'lookahead' => 0,
+                                                                                              'line' => 85
+                                                                                            }, 'Parse::RecDescent::Literal' ),
+                                                                                     bless( {
+                                                                                              'pattern' => '[^:\\[\\{\\/]+',
+                                                                                              'hashname' => '__PATTERN1__',
+                                                                                              'description' => '/[^:\\\\[\\\\\\{\\\\/]+/i',
+                                                                                              'lookahead' => 0,
+                                                                                              'rdelim' => '/',
+                                                                                              'line' => 85,
+                                                                                              'mod' => 'i',
+                                                                                              'ldelim' => '/'
+                                                                                            }, 'Parse::RecDescent::Token' )
+                                                                                   ],
+                                                                        'line' => undef
+                                                                      }, 'Parse::RecDescent::Production' )
+                                                             ],
+                                                  'name' => 'label',
+                                                  'vars' => '',
+                                                  'line' => 85
+                                                }, 'Parse::RecDescent::Rule' ),
                               'title' => bless( {
                                                   'impcount' => 0,
@@ -7503,5 +8059,5 @@
                                                                                               'description' => '\'!title\'',
                                                                                               'lookahead' => 0,
-                                                                                              'line' => 21
+                                                                                              'line' => 33
                                                                                             }, 'Parse::RecDescent::Literal' ),
                                                                                      bless( {
@@ -7511,5 +8067,5 @@
                                                                                               'lookahead' => 0,
                                                                                               'rdelim' => '/',
-                                                                                              'line' => 21,
+                                                                                              'line' => 33,
                                                                                               'mod' => '',
                                                                                               'ldelim' => '/'
@@ -7518,5 +8074,5 @@
                                                                                               'hashname' => '__ACTION1__',
                                                                                               'lookahead' => 0,
-                                                                                              'line' => 22,
+                                                                                              'line' => 34,
                                                                                               'code' => '{ warn "[Text::Formbuilder] Title redefined at input text line $thisline\\n" if defined $title;
     $title = $item[2] }'
@@ -7528,45 +8084,5 @@
                                                   'name' => 'title',
                                                   'vars' => '',
-                                                  'line' => 21
-                                                }, 'Parse::RecDescent::Rule' ),
-                              'label' => bless( {
-                                                  'impcount' => 0,
-                                                  'calls' => [],
-                                                  'changed' => 0,
-                                                  'opcount' => 0,
-                                                  'prods' => [
-                                                               bless( {
-                                                                        'number' => '0',
-                                                                        'strcount' => 1,
-                                                                        'dircount' => 0,
-                                                                        'uncommit' => undef,
-                                                                        'error' => undef,
-                                                                        'patcount' => 1,
-                                                                        'actcount' => 0,
-                                                                        'items' => [
-                                                                                     bless( {
-                                                                                              'pattern' => '|',
-                                                                                              'hashname' => '__STRING1__',
-                                                                                              'description' => '\'|\'',
-                                                                                              'lookahead' => 0,
-                                                                                              'line' => 73
-                                                                                            }, 'Parse::RecDescent::Literal' ),
-                                                                                     bless( {
-                                                                                              'pattern' => '[^:\\[\\{\\/]+',
-                                                                                              'hashname' => '__PATTERN1__',
-                                                                                              'description' => '/[^:\\\\[\\\\\\{\\\\/]+/i',
-                                                                                              'lookahead' => 0,
-                                                                                              'rdelim' => '/',
-                                                                                              'line' => 73,
-                                                                                              'mod' => 'i',
-                                                                                              'ldelim' => '/'
-                                                                                            }, 'Parse::RecDescent::Token' )
-                                                                                   ],
-                                                                        'line' => undef
-                                                                      }, 'Parse::RecDescent::Production' )
-                                                             ],
-                                                  'name' => 'label',
-                                                  'vars' => '',
-                                                  'line' => 73
+                                                  'line' => 33
                                                 }, 'Parse::RecDescent::Rule' ),
                               'pattern_def' => bless( {
@@ -7593,5 +8109,5 @@
                                                                                                     'description' => '\'!pattern\'',
                                                                                                     'lookahead' => 0,
-                                                                                                    'line' => 28
+                                                                                                    'line' => 40
                                                                                                   }, 'Parse::RecDescent::Literal' ),
                                                                                            bless( {
@@ -7601,5 +8117,5 @@
                                                                                                     'argcode' => undef,
                                                                                                     'lookahead' => 0,
-                                                                                                    'line' => 28
+                                                                                                    'line' => 40
                                                                                                   }, 'Parse::RecDescent::Subrule' ),
                                                                                            bless( {
@@ -7609,10 +8125,10 @@
                                                                                                     'argcode' => undef,
                                                                                                     'lookahead' => 0,
-                                                                                                    'line' => 28
+                                                                                                    'line' => 40
                                                                                                   }, 'Parse::RecDescent::Subrule' ),
                                                                                            bless( {
                                                                                                     'hashname' => '__ACTION1__',
                                                                                                     'lookahead' => 0,
-                                                                                                    'line' => 29,
+                                                                                                    'line' => 41,
                                                                                                     'code' => '{ $patterns{$item{pattern_name}} = $item{pattern} }'
                                                                                                   }, 'Parse::RecDescent::Action' )
